lastName = ARG(1)
mail = ARG(2)

jsonFile = "output.json"
jsonString = .stream~new(jsonFile)~~open("read")
data = jsonString~charIn(1,jsonString~chars)
jsonString~close

j = .json~new
jsonData = j~fromJson(data)

excel = .OLEObject~new("Excel.Application")
excel~Visible = .true
workbook = excel~Workbooks~Add
worksheet = workbook~Worksheets(1)

worksheet~Cells(1, 1)~Value = "name"
worksheet~Cells(1, 2)~Value = "lastName"
worksheet~Cells(1, 3)~Value = "address"
worksheet~Cells(1, 4)~Value = "city"
worksheet~Cells(1, 5)~Value = "postal_code"

do i = 1 to 5
    headerFont = worksheet~Cells(1, i)~Font
    headerFont~Bold = .true
end

row = 2
do entry over jsonData
    worksheet~Cells(row, 1)~Value = entry["name"]
    worksheet~Cells(row, 2)~Value = entry["lastName"]
    worksheet~Cells(row, 3)~Value = entry["address"]
    worksheet~Cells(row, 4)~Value = entry["city"]
    worksheet~Cells(row, 5)~Value = entry["postal_code"]
    row = row + 1
end

workbook~SaveAs("C:\Users\Public\Documents\Datei.xlsx")

outlook = .OLEObject~new("Outlook.Application")
mail = outlook~CreateItem(0)

mail~Subject = "Excel-Daten"
mail~Body = "Sehr geehrter Herr " lastName "," char(13) || char(10) "im Anhang befinden sich die Kundendaten als Exceltabelle." char(13) || char(10) "Mit freundlichen Grüßen" char(13) || char(10) "Gruppe 4"

attachment = workbook~FullName
mail~Attachments~Add("C:\Users\Public\Documents\Datei.xlsx")

mail~Recipients~Add(mail)

mail~Send()

excel~Quit
outlook~Quit

::requires "JSON.cls"
